curl --request POST \
--url https://api.generalvalidation.com/api/v1/fabric/tables \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"format": "delta",
"lakehouse_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"path": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "lakehouse",
"options": {},
"version_as_of": 4503599627370495
}
'import requests
url = "https://api.generalvalidation.com/api/v1/fabric/tables"
payload = {
"format": "delta",
"lakehouse_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"path": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "lakehouse",
"options": {},
"version_as_of": 4503599627370495
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
format: 'delta',
lakehouse_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
path: '<string>',
workspace_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
kind: 'lakehouse',
options: {},
version_as_of: 4503599627370495
})
};
fetch('https://api.generalvalidation.com/api/v1/fabric/tables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.generalvalidation.com/api/v1/fabric/tables",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'format' => 'delta',
'lakehouse_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'name' => '<string>',
'path' => '<string>',
'workspace_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'kind' => 'lakehouse',
'options' => [
],
'version_as_of' => 4503599627370495
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.generalvalidation.com/api/v1/fabric/tables"
payload := strings.NewReader("{\n \"format\": \"delta\",\n \"lakehouse_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"path\": \"<string>\",\n \"workspace_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"kind\": \"lakehouse\",\n \"options\": {},\n \"version_as_of\": 4503599627370495\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.generalvalidation.com/api/v1/fabric/tables")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"format\": \"delta\",\n \"lakehouse_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"path\": \"<string>\",\n \"workspace_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"kind\": \"lakehouse\",\n \"options\": {},\n \"version_as_of\": 4503599627370495\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.generalvalidation.com/api/v1/fabric/tables")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"format\": \"delta\",\n \"lakehouse_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"path\": \"<string>\",\n \"workspace_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"kind\": \"lakehouse\",\n \"options\": {},\n \"version_as_of\": 4503599627370495\n}"
response = http.request(request)
puts response.read_body{
"format": "delta",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lakehouse_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"path": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "lakehouse",
"options": {},
"version_as_of": 4503599627370495
}{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"diagnostics": {}
}{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"diagnostics": {}
}{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"diagnostics": {}
}{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"diagnostics": {}
}{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"diagnostics": {}
}{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"diagnostics": {}
}{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"diagnostics": {}
}Save a Table
Save a reference to an existing Lakehouse or Warehouse Table. The API does not check Fabric, so a wrong ID or path shows up when a Run cannot read the Table.
Requires the GV.APIContributor application role, or a higher role (Owner > Contributor > Reader).
curl --request POST \
--url https://api.generalvalidation.com/api/v1/fabric/tables \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"format": "delta",
"lakehouse_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"path": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "lakehouse",
"options": {},
"version_as_of": 4503599627370495
}
'import requests
url = "https://api.generalvalidation.com/api/v1/fabric/tables"
payload = {
"format": "delta",
"lakehouse_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"path": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "lakehouse",
"options": {},
"version_as_of": 4503599627370495
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
format: 'delta',
lakehouse_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
path: '<string>',
workspace_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
kind: 'lakehouse',
options: {},
version_as_of: 4503599627370495
})
};
fetch('https://api.generalvalidation.com/api/v1/fabric/tables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.generalvalidation.com/api/v1/fabric/tables",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'format' => 'delta',
'lakehouse_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'name' => '<string>',
'path' => '<string>',
'workspace_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'kind' => 'lakehouse',
'options' => [
],
'version_as_of' => 4503599627370495
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.generalvalidation.com/api/v1/fabric/tables"
payload := strings.NewReader("{\n \"format\": \"delta\",\n \"lakehouse_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"path\": \"<string>\",\n \"workspace_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"kind\": \"lakehouse\",\n \"options\": {},\n \"version_as_of\": 4503599627370495\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.generalvalidation.com/api/v1/fabric/tables")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"format\": \"delta\",\n \"lakehouse_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"path\": \"<string>\",\n \"workspace_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"kind\": \"lakehouse\",\n \"options\": {},\n \"version_as_of\": 4503599627370495\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.generalvalidation.com/api/v1/fabric/tables")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"format\": \"delta\",\n \"lakehouse_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\",\n \"path\": \"<string>\",\n \"workspace_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"kind\": \"lakehouse\",\n \"options\": {},\n \"version_as_of\": 4503599627370495\n}"
response = http.request(request)
puts response.read_body{
"format": "delta",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lakehouse_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"path": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "lakehouse",
"options": {},
"version_as_of": 4503599627370495
}{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"diagnostics": {}
}{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"diagnostics": {}
}{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"diagnostics": {}
}{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"diagnostics": {}
}{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"diagnostics": {}
}{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"diagnostics": {}
}{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"diagnostics": {}
}Authorizations
Microsoft Entra application token issued by the caller's Organization tenant for this multitenant API. Request the .default scope and assign the application the required GV.APIReader, GV.APIContributor, or GV.APIOwner role.
Body
- LakehouseTableCreate
- WarehouseTableCreate
Always delta.
"delta"The Lakehouse's item ID.
The Table's name in General Validation.
1 - 255^[^\x00-\x1f\x7f]+$The Table's path in the Lakehouse: Tables/<table>, or Tables/<schema>/<table> in a Lakehouse with schemas.
1 - 512The Fabric workspace that holds the Lakehouse.
lakehouse, or omit it.
"lakehouse"Delta tables accept only an empty options object.
Read this Delta table version at every Run. Omit to read the latest version.
0 <= x <= 9007199254740991Response
Successful Response
- FabricLakehouseTable
- FabricWarehouseTable
- FabricCopyTable
Always delta.
"delta"The Lakehouse's item ID.
The Table's name in General Validation.
1 - 255^[^\x00-\x1f\x7f]+$The Table's path in the Lakehouse: Tables/<table>, or Tables/<schema>/<table> in a Lakehouse with schemas.
1 - 512The Fabric workspace that holds the Lakehouse.
lakehouse, or omit it.
"lakehouse"Delta tables accept only an empty options object.
Read this Delta table version at every Run. Omit to read the latest version.
0 <= x <= 9007199254740991